<p class="text-sm font-medium leading-6">{{name}}</p>
<div class="relative space-y-2" [formGroup]="formGroup">
  <div class="space-y-2">
    @if(selectedLabels){
    <div class="flex items-center space-x-2">
      @for (label of selectedLabels; track $index) {
      <div class="relative">
        <ion-avatar class="w-8 h-8 overflow-hidden shadow-sm">
          <img alt="avatar" class="w-full h-full" [src]="label.thumbnail ?? 'assets/images/avatar.png'" />
        </ion-avatar>
        <figure
          class="absolute top-0 right-0 w-3 h-3 overflow-hidden border border-white rounded-full cursor-pointer bg-primary"
          (click)="onDeleteLabel(label)">
          <img src="/assets/icons/close.svg" alt="close button" class="h-full w-full scale-[2]" />
        </figure>
      </div>
      }
      <!-- <figure class="flex items-center justify-center w-8 h-8 border rounded-full" (click)="isOpen = !isOpen">
          <button type="button">
            <img src="/assets/icons/plus-gray.svg" alt="select button" />
          </button>
        </figure> -->
    </div>
    }
  </div>
  <div class="flex items-center justify-between rounded-md border border-[#D1D5DB] px-3 py-1.5 shadow-sm"
    (click)="isOpen = !isOpen">
    <p class="text-sm leading-6 text-gray-400">{{name}} 선택</p>
    <figure><img [src]="isOpen ? '/assets/icons/dropdown-btn2.svg' : '/assets/icons/dropdown-btn.svg'" alt="" />
    </figure>
  </div>

  @if(isOpen){
  <div class="absolute z-10 w-full bg-white border border-gray-300 rounded-md shadow-sm" @fadeInOut>
    <p class="border-b border-gray-200 px-4 py-2.5 text-center text-xs leading-6 text-gray-700">{{name}}</p>
    <div class="px-3 py-4 space-y-4">
      <div class="flex h-9 items-center justify-between rounded-md border border-border px-3 py-1.5 shadow-sm">
        <input type="text"
          class="w-full p-0 text-sm border-none placeholder:text-sm placeholder:text-gray-400 focus:ring-0"
          formControlName="name" placeholder="{{name}}명" />
        <figure><img src="/assets/icons/search.svg" alt="" class="h-6 w-7" /></figure>
      </div>
      <ul class="max-h-40 space-y-1 overflow-y-scroll px-1.5 text-xs font-medium leading-6 text-gray-700">
        @for (label of labels; track $index) {
        @if(!isSelectedLabel(label.user)){
        <div class="flex space-x-2">
          <ion-avatar class="w-8 h-8 overflow-hidden shadow-sm">
            <img alt="avatar" class="w-full h-full" [src]="label.user.thumbnail ?? 'assets/images/avatar.png'" />
          </ion-avatar>
          <p (click)="onAddLabel(label.user)" class="rounded-md px-3 py-1.5 hover:bg-[#4F46E526]">{{ label.user.username
            }}</p>
        </div>
        }
        }
      </ul>
      <!-- <app-primary-button content="태그 생성" (click)="isCreate = true" /> -->
    </div>
  </div>
  }
</div>